#ifndef _SICKBBANG_H
#define _SICKBBANG_H

#pragma once
#include "MuckBBang.h"

class SickBBang :
	public MuckBBang
{
	int nBBang;
public:
	SickBBang(char *name);
	~SickBBang(void);
	virtual void eatAppetizer();
	virtual void eatEntree(int n);
	virtual void eatDessert();
	virtual void digest();
	virtual void print();
	virtual int howManyDoYouWant();
	virtual int whoAreYou() { return ID_SICKBBANG; }
};

#endif
